#ifndef _PrefsDefs_H_
#define _PrefsDefs_H_


#define PS_EntryNameSize	64
#define PS_SectionNameSize	64



enum PrefsServerType
{
	PS_User,
	PS_System,
	PS_Temp,
	PS_Remote
};

enum PrefsType
{
	PS_BoolType		= 1,
	PS_Int32Type,
	PS_FloatType,
	PS_StringType,
	PS_RectType	,
	PS_PointType,
	PS_DataType
};


#define PrefServ_OpenSectionMsg		'PSOS'
	//	>	string	"path"	
	//	>	uint32	"server"	
	//	-
	//	<	uint32	"sect_id"	
	//	<	uint32	"sect_validator"	
	//	<	bool	"read_only"	

#define PrefServ_CloseSectionMsg		'PSCS'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	

#define PrefServ_FlushSectionMsg		'PSFL'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	

#define PrefServ_ReadEntryMsg			'PSRP'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	>	string	"entry_name"	
	//	-
	//	<	data	"result"	

#define PrefServ_WriteEntryMsg			'PSWP'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	>	string	"entry_name"	
	//	>	data	"value"	

#define PrefServ_DeleteEntryMsg		'PSDL'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	>	string	"entry_name"	

#define PrefServ_EntryExistsMsg		'PSEX'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	>	string	"entry_name"	
	//	-
	//	<	bool	"result"	

#define PrefServ_EntryListMsg			'PSEL'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	-
	//	<	data	"result"	

#define PrefServ_SectionListMsg		'PSSL'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	-
	//	<	data	"result"	

#define PrefServ_DeleteSectionMsg		'PSDS'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	>	string	"section"	
	//	-
	//	<	bool	"result"	

#define PrefServ_SectionInUseMsg		'PSSU'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	>	string	"section"	
	//	-
	//	<	uint32	"result"	

#define PrefServ_CreateSectionMsg		'PSCR'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	>	string	"section"	

#define PrefServ_ResetMsg				'PSRS'
	//	>	uint32	"sect_id"	
	//	>	uint32	"sect_validator"	
	//	>	bool	"recursive"	

#define PrefServ_SetMessageMsg			'PSSM'
	//	>	uint32	"sect_id"	
	//	>	uint32	"team_id"	
	//	>	uint32	"msg_id"	


#endif
